Bug 470293 - Review Request: sblim-cmpi-network - SBLIM Network Instrumentation
Review Request: sblim-cmpi-network - SBLIM Network Instrumentation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Praveen K Paladugu
Fedora Extras Quality Assurance
:
Depends On: 468287 501812
Blocks: 468400
  Show dependency treegraph
 
Reported: 2008-11-06 10:41 EST by Vitezslav Crhonek
Modified: 2009-10-07 17:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 11:05:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
praveen_paladugu: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vitezslav Crhonek 2008-11-06 10:41:37 EST
Spec URL: http://vcrhonek.fedorapeople.org/sblim-cmpi-network/sblim-cmpi-network.spec
SRPM URL: http://vcrhonek.fedorapeople.org/sblim-cmpi-network/sblim-cmpi-network-1.3.8-1.fc9.src.rpm
Description: Standards Based Linux Instrumentation Network Providers
Comment 1 Matt Domsch 2009-05-20 16:56:32 EDT
fails to build on Fedora 10
* sblim-cmpi-base libraries have wrong permission (#501812)
* other failure I haven't diagnosed (see below)

Missing dependency on sblim-testsuite.

Includes it's own schema file, instead of using the cim-schema package (#468287).


build failure: it's trying to link libOSBase_CommonNetwork.a _before_ it has generated it.

gcc -shared  .libs/cmpiOSBase_EthernetPortProvider.o .libs/cmpiOSBase_EthernetPort.o  -lOSBase_CommonNetwork  -m64 -mtune=generic -Wl,-soname -Wl,libcmpiOSBase_EthernetPortProvider.so -o .libs/libc
mpiOSBase_EthernetPortProvider.so
/usr/bin/ld: cannot find -lOSBase_CommonNetwork
collect2: ld returned 1 exit status
make[1]: *** [libcmpiOSBase_EthernetPortProvider.la] Error 1
make[1]: *** Waiting for unfinished jobs....
(cd .libs && rm -f libOSBase_CommonNetwork.so.0 && ln -s libOSBase_CommonNetwork.so.0.0.0 libOSBase_CommonNetwork.so.0)
(cd .libs && rm -f libOSBase_CommonNetwork.so && ln -s libOSBase_CommonNetwork.so.0.0.0 libOSBase_CommonNetwork.so)
ar cru .libs/libOSBase_CommonNetwork.a  OSBase_CommonNetwork.o
ranlib .libs/libOSBase_CommonNetwork.a
creating libOSBase_CommonNetwork.la
Comment 2 Matt Domsch 2009-05-20 16:58:33 EDT
removing the %{?_smp_mflags} from the make resolves the build problem, meaning it's a simple parallel build dependency failure.
Comment 3 Matt Domsch 2009-05-20 16:59:34 EDT
$ rpmlint RPMS/x86_64/sblim-cmpi-network-*
sblim-cmpi-network-debuginfo.x86_64: E: non-standard-dir-perm /usr/lib/debug 0775
sblim-cmpi-network-devel.x86_64: W: no-documentation
sblim-cmpi-network-test.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 2 warnings.

now that it builds I can do a more formal review.
Comment 4 Praveen K Paladugu 2009-06-26 11:33:43 EDT
I couldn't download the source rpm. Could you please check the link or provide with the above mentioned changes?
Comment 5 Praveen K Paladugu 2009-07-13 17:26:12 EDT
(In reply to comment #3)
> $ rpmlint RPMS/x86_64/sblim-cmpi-network-*
> sblim-cmpi-network-debuginfo.x86_64: E: non-standard-dir-perm /usr/lib/debug
> 0775
> sblim-cmpi-network-devel.x86_64: W: no-documentation
> sblim-cmpi-network-test.x86_64: W: no-documentation
> 4 packages and 0 specfiles checked; 1 errors, 2 warnings.
> 
> now that it builds I can do a more formal review.  

Could you please provide working links to this package? I cannot access the source package from the original post.
Comment 6 Vitezslav Crhonek 2009-07-21 08:54:11 EDT
Sorry, I did new srpm since beginning of the review.

Spec URL:
http://vcrhonek.fedorapeople.org/sblim-cmpi-network/sblim-cmpi-network.spec
SRPM URL:
http://vcrhonek.fedorapeople.org/sblim-cmpi-network/sblim-cmpi-network-1.3.8-1.fc10.src.rpm
Comment 7 Praveen K Paladugu 2009-08-05 00:44:51 EDT
Is there a way to also consider sblim-sfcb also as a possible CIMOM instead of only considering tog-pegasus?
  
  It was discussed before at https://bugzilla.redhat.com/show_bug.cgi?id=466183#c10, wouldn't it be better to have Requires:cim-server/cimserver instead of tog-pegasus. This allows sblim-sfcb also to be a possible CIMOM.

 Since the sblim-sfcb package already has "Provides:cim-server", it is better we leverage that in this package. 

  But I am concerned about the "BuildRequires" and also about mentioning the right devel packages in "BuildRequires" and "Requries".

Any suggestions??
Comment 8 Praveen K Paladugu 2009-08-06 17:42:57 EDT
Final Review:

  1) The definition of tog_pegasus_version in spec file, I am not sure what the colon (:) supposed to be? Could you clarify?
  2) For each of the "Requires", could you please add comments justifying why you need those packages.

rpmlint output:
##rpmlint sblim-cmpi-network.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
##rpmlint sblim-cmpi-network-1.3.8-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Everything else looks good.
Comment 9 Praveen K Paladugu 2009-08-11 11:06:14 EDT
One last thing,

 Please replace every mentioning of "sblim-cmpi-network" with %{name} in the spec file. (line 26, 35 and 65)
Comment 10 srinivas 2009-08-13 03:06:24 EDT
Implemented the changes suggested.
Final rpmlint output:
# rpmlint sblim-cmpi-network.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
# rpmlint ../SRPMS/sblim-cmpi-network-1.3.8-1.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# rpmlint ../RPMS/x86_64/sblim-cmpi-network-*
sblim-cmpi-network-devel.x86_64: W: no-documentation
sblim-cmpi-network-test.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fixed these warnings. 

Spec URL:

http://linux.dell.com/files/fedora/sblim-cmpi-network/sblim-cmpi-network.spec

SRPM URL:

http://linux.dell.com/files/fedora/sblim-cmpi-network/sblim-cmpi-network-1.3.8-1.fc11.src.rpm
Comment 11 Praveen K Paladugu 2009-08-13 17:57:32 EDT
Approved.
Comment 12 Vitezslav Crhonek 2009-08-19 11:13:28 EDT
New Package CVS Request
=======================
Package Name: sblim-cmpi-network
Short Description: Standards Based Linux Instrumentation Network Providers
Owners: vcrhonek
Branches: F-12
InitialCC:
Comment 13 Vitezslav Crhonek 2009-08-19 11:43:46 EDT
I'm looking for volunteers to go through Review Request of few other sblim-* packages, so if anyone is interested, feel free to take them;)
Comment 14 Jason Tibbitts 2009-08-19 17:40:53 EDT
I've asked for someone, anyone, to write up some minimal packaging guidelines so that the reviewers will have an idea of what these packages are supposed to look like.  I doubt most reviewers are going to look at these package at all until we have something like that.

We cannot create F-12 branches yet.

Otherwise, CVS done.
Comment 15 Praveen K Paladugu 2009-09-09 10:45:04 EDT
New Package CVS Request
=======================
Package Name: sblim-cmpi-network
Short Description: Standards Based Linux Instrumentation Network Providers
Owners: vcrhonek
Branches: F-10 F-11 EL-4 EL-5 EPEL-4 EPEL-5
InitialCC: praveenp mdomsch srini
Comment 16 Kevin Fenzi 2009-09-09 12:17:09 EDT
There are not EPEL-4/EPEL-5 branches, you get those with EL-4/EL-5. ;) 

cvs done.
Comment 17 Praveen K Paladugu 2009-09-10 18:59:53 EDT
(In reply to comment #16)
> There are not EPEL-4/EPEL-5 branches, you get those with EL-4/EL-5. ;) 
> 
> cvs done.  

Kevin, 
  I get the following errors, when I tried to import this package to any of the branches.

"""
Access denied: praveenp is not in ACL for rpms/sblim-cmpi-network/devel
cvs commit: Pre-commit check failed
cvs [commit aborted]: correct above errors first!
"""

  Is this because I am not among the "Owners" for this package? If so, could you please add me to the list of owners for this package?
Comment 18 Matt Domsch 2009-09-14 09:53:43 EDT
praveen, you didn't request to be an owner, so you're not.  You can go to https://admin.fedoraproject.org/pkgdb, select this package, and request various package rights.
Comment 19 Vitezslav Crhonek 2009-10-07 11:05:22 EDT
Thanks!
Comment 20 Bill Nottingham 2009-10-07 16:38:43 EDT
Was someone going to request this to be tagged for F-12?
Comment 21 Praveen K Paladugu 2009-10-07 17:40:44 EDT
This package is already available in F-12 branch.

Note You need to log in before you can comment on or make changes to this bug.